 //  ----------------------------------------------------------------------------
 //          ATMEL Microcontroller Software Support  -  ROUSSET  -
 //  ----------------------------------------------------------------------------
 //  DISCLAIMER:  THIS SOFTWARE IS PROVIDED BY ATMEL "AS IS" AND ANY EXPRESS OR
 //  IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 //  MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT ARE
 //  DISCLAIMED. IN NO EVENT SHALL ATMEL BE LIABLE FOR ANY DIRECT, INDIRECT,
 //  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 //  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,
 //  OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 //  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 //  NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 //  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 //  ----------------------------------------------------------------------------
//*----------------------------------------------------------------------------
//* File Name           : main.h
//* Object              :
//*
//* 1.0 27/03/03 HIi    : Creation
//* 1.01 03/05/04 HIi   : AT9C_VERSION incremented to 1.01
//* 1.02 15/06/04 HIi   : AT9C_VERSION incremented to 1.02 ==> 
//*						  Add crc32 to verify dataflash download
//* 1.03 25/05/05 GGi   : AT9C_VERSION incremented to 1.03 ==> 9261 version
//*----------------------------------------------------------------------------

#ifndef main_h
#define main_h

#include "AT91SAM9261.h"
#include "lib_AT91SAM9261.h"

#define TRUE	(1==1)
#define FALSE	(1==0)

#define AT91C_MASTER_CLOCK              99300000 
#define AT91C_BAUD_RATE                 115200

#define AT91C_DOWNLOAD_BASE_ADDRESS     0x20000000
#define AT91C_DOWNLOAD_MAX_SIZE         0x00040000

#define AT91C_OFFSET_VECT6              0x14        //* Offset for ARM vector 6

#define AT91C_VERSION   "VER 1.0"


// Global variables and functions definition
extern void AT91F_DBGU_Printk(char *);
extern unsigned int GetTickCount(void);
extern int AT91F_SDRAM_Test(void);

#endif