 //  ----------------------------------------------------------------------------
 //          ATMEL Microcontroller Software Support  -  ROUSSET  -
 //  ----------------------------------------------------------------------------
 //  DISCLAIMER:  THIS SOFTWARE IS PROVIDED BY ATMEL "AS IS" AND ANY EXPRESS OR
 //  IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 //  MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT ARE
 //  DISCLAIMED. IN NO EVENT SHALL ATMEL BE LIABLE FOR ANY DIRECT, INDIRECT,
 //  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 //  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,
 //  OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 //  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 //  NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 //  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 //  ----------------------------------------------------------------------------
//*----------------------------------------------------------------------------
//* File Name           : mmu.h
//* Object              : Common MMU and CACHE operations
//* Creation            : ODi   Aug 22nd 02
//*
//*----------------------------------------------------------------------------
#ifndef MMU_H
#define MMU_H

#include "lib_arm926ej_s.h"

extern void AT91F_CleanDCache(void); // Clean and invalidate D Cache
extern void AT91F_ResetICache(void); // Reset I Cache (Should be run from a non cachable area)
extern void AT91F_ResetDCache(void); // Reset D Cache (Should be run from a non cachable area)
extern void AT91F_EnableMMU(void); // Enable MMU
extern void AT91F_DisableMMU(void); // Disable MMU
extern void AT91F_EnableICache(void); // Enable I Cache
extern void AT91F_DisableICache(void); // Disable I Cache
extern void AT91F_EnableDCache(void); // Enable D Cache
extern void AT91F_DisableDCache(void); // Disable D Cache
//extern void AT91F_LockITLB(unsigned int address); // Lock one I TLB entry after entries previously locked
extern void AT91F_LockICache(unsigned int startAddress, unsigned int size); // Write I TLB lockdown  (Should be run from a non cachable area)

#endif // MMU_H